LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   VPNC and NetworkManager SBo failure (http://www.linuxquestions.org/questions/slackware-14/vpnc-and-networkmanager-sbo-failure-4175484206/)

Ratmonkey 11-11-2013 09:57 AM

VPNC and NetworkManager SBo failure
 
Hey guys, trying to get slackware 14.1 32-bit up and going at work. Downloaded and installed VPNC via sbo and now am trying to get NetworkManager-VPNC working, but when I run the slackbuild, it errors out with the following. Ideas?

config.status: executing po/stamp-it commands
make all-recursive
make[1]: Entering directory `/tmp/SBo/NetworkManager-vpnc-0.9.4.0'
Making all in src
make[2]: Entering directory `/tmp/SBo/NetworkManager-vpnc-0.9.4.0/src'
depbase=`echo nm-vpnc-service.o | sed 's|[^/]*$|.deps/&|;s|\.o$||'`;\
gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/NetworkManager -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/libnm-glib -DG_DISABLE_DEPRECATED -DBINDIR=\"/usr/bin\" -DPREFIX=\""/usr"\" -DSYSCONFDIR=\""/etc"\" -DVERSION="\"0.9.4.0\"" -DLIBDIR=\""/usr/lib"\" -DLIBEXECDIR=\""/usr/libexec"\" -DLOCALSTATEDIR=\""/var"\" -DDATADIR=\"/usr/share\" -Wall -std=gnu89 -O2 -march=i486 -mtune=i686 -Wshadow -Wmissing-declarations -Wmissing-prototypes -Wdeclaration-after-statement -Wstrict-prototypes -Wfloat-equal -Wno-unused-parameter -Wno-sign-compare -fno-strict-aliasing -Wno-unused-but-set-variable -Werror -MT nm-vpnc-service.o -MD -MP -MF $depbase.Tpo -c -o nm-vpnc-service.o nm-vpnc-service.c &&\
mv -f $depbase.Tpo $depbase.Po
nm-vpnc-service.c: In function 'main':
nm-vpnc-service.c:727:2: error: 'g_type_init' is deprecated (declared at /usr/include/glib-2.0/gobject/gtype.h:669) [-Werror=deprecated-declarations]
g_type_init ();
^
cc1: all warnings being treated as errors
make[2]: *** [nm-vpnc-service.o] Error 1
make[2]: Leaving directory `/tmp/SBo/NetworkManager-vpnc-0.9.4.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/SBo/NetworkManager-vpnc-0.9.4.0'
make: *** [all] Error 2

willysr 11-11-2013 10:59 AM

Can you try to upgrade to 0.9.8.6 ?

Ratmonkey 11-11-2013 12:45 PM

Not sure. I guess I don't see that as being available on SBo. I originally went to the SBo page for NetworkManager-vpnc (0.9.4.0) and it said it had a dependency of vpnc. Went to the vpnc page and installed vpnc. Confirmed that vpnc ran from cli and then attempted to install NetworkManager-vpnc from SBo...

Ratmonkey 11-11-2013 01:41 PM

Ok, took me a bit, but I installed NetworkManager 0.9.8.6 - from their site..configure and make and make install...all that happy jazz. Anyhow, then I tried the NetworkManager-vpnc and got the same results.


All times are GMT -5. The time now is 03:57 AM.